function gitsubrepo {
	find * -maxdepth 1 -mindepth 1 -type d -name ".git" -exec sh -c '(DIR={}; DIR=${DIR%%.git} && cd $DIR && echo $DIR && git status -s)' \;
}
function osutab {
	xinput set-prop 'UGTABLET 6 inch PenTablet Pen (0)' --type=float 153 3.5 0 -0.5 0 2.9 0 0 0 1
}
function ffmpeg-gif {
	ffmpeg -hwaccel vdpau -ss $2 -to $3 -i $1 -r 60 -pix_fmt bgr8 -vf "mpdecimate,normalize,scale=480:-1:flags=spline,split[s0][s1];[s0]palettegen=stats_mode=diff[p];[s1][p]paletteuse=dither=bayer:bayer_scale=5:diff_mode=rectangle" -loop 0 $4
}
function ffmpeg-vid {
	ffmpeg -hwaccel vdpau -ss $2 -to $3 -i $1 -r 60 -vf "normalize,scale=480:-1:flags=spline,mpdecimate" $4
}
function ffmpeg-compress {
	ffmpeg -hwaccel vdpau -i $1 -vf "normalize,scale=480:-1:flags=spline,mpdecimate" $2
}
function getnhentai {
	local pageinfo="$(curl -sL $1 | grep -oP '(?<=var gallery = new N.gallery\().*(?=\);)' | jq '{"pages": .num_pages,"id": .media_id, "types": [.images.pages[].t], "title": .title.pretty}')"
	local media_id=$(print $pageinfo | jq -r '.id')
	local types=($(print $pageinfo | jq -r '.types[]'))
	local num_pages=$(print $pageinfo | jq '.pages')
	local dir=$(print $pageinfo | jq -r '.title')
	local urls=()
	[ ! -z $2 ] && mkdir "$dir" && cd "$dir"
	for i in {1..$num_pages}; do
		local ctoi=$(($i - 1))
		[[ ${types[$ctoi]} == p ]] && local type=png || local type=jpg
		urls+=("https://i.nhentai.net/galleries/$media_id/$i.$type")
	done
	curl --retry 10 -\#L --remote-name-all ${urls}
	for i in *; do
		local sortname="$(printf "%.3i" "${i%%.*}").${i##*.}"
		[ $sortname = $i ] || mv $i $sortname
	done
	[ ! -z $2 ] && cd ..
}
function gethanime {
	local IDS=($(curl -sSL "https://members.hanime.tv/api/v3/videos_manifests/$1" -H 'x-directive: api' | jq -e '.videos_manifest.servers[].streams | sort_by(.width) | .[].id'))
	[ ! -z $2 ] && print "https://hanime.tv/api/v1/m3u8s/$i.m3u8" && return
	for i in $IDS; do
		[ ! -z $i ] && ffmpeg -i "https://hanime.tv/api/v1/m3u8s/$i.m3u8" -c:v copy ${2:-$1.mkv} && break
	done
}
function man {
	LESS_TERMCAP_md=$'\e[01;31m' \
	LESS_TERMCAP_me=$'\e[0m' \
	LESS_TERMCAP_se=$'\e[0m' \
	LESS_TERMCAP_so=$'\e[01;33m' \
	LESS_TERMCAP_ue=$'\e[0m' \
	LESS_TERMCAP_us=$'\e[01;32m' \
	command man "$@"
}
